<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <s:div id="globalDiv">
                <h1>#{messages['gazelle.ordermanager.UserPreferences']}</h1>
                <h:outputText
                        value="#{messages['gazelle.ordermanager.ThisIsTheListOfUsersWhoHaveAccessedTheSimulatorA']}"
                        styleClass="help-block"/>
                #{dataTableStateHolder.setAscendingOn('username')}
                <rich:dataTable value="#{userPreferencesManagerBean.getAllUserPreferences()}" var="userVar"
                                rows="#{dataScrollerMemory.numberOfResultsPerPage}" id="userlist"
                                render="ds">
                    <g:column sortBy="#{'username'}" sortOrder="#{dataTableStateHolder.sortOrders['username']}"
                        filterBy="#{'username'}" filterEvent="keyup">
                        <ui:define name="header">#{messages['users.Username']}</ui:define>
                        <h:outputText value="#{userVar.username}"/>
                    </g:column>
                    <g:column sortBy="#{'lastLogin'}" sortOrder="#{dataTableStateHolder.sortOrders['lastLogin']}">
                        <ui:define name="header">#{messages['gazelle.ordermanager.LastLogin']}</ui:define>
                        <g:date value="#{userVar.lastLogin}"/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['gazelle.ordermanager.SUT']}</ui:define>
                        <h:outputText value="#{userVar.systemConfiguration.name}"
                                      rendered="#{userVar.systemConfiguration != null}"/>
                        <h:outputText value="#{messages['gazelle.ordermanager.NotSelected']}"
                                      rendered="#{userVar.systemConfiguration == null}"/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['gazelle.ordermanager.StationAETitle']}</ui:define>
                        <h:outputText value="#{userVar.aeTitle}"/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['gazelle.ordermanager.UsesHL7v251Option']}</ui:define>
                        <h:outputText value="#{messages['gazelle.ordermanager.Yes']}" rendered="#{userVar.hl7v251Option}"/>
                        <h:outputText value="#{messages['gazelle.ordermanager.No']}" rendered="#{not userVar.hl7v251Option}"/>
                    </g:column>
                    <f:facet name="footer">
                        <ui:include src="/util/datatableFooter.xhtml">
                            <ui:param name="dataScrollerId" value="ds"/>
                            <ui:param name="dataTableId" value="userlist"/>
                        </ui:include>
                    </f:facet>
                </rich:dataTable>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
